Imports Infragistics.WebUI.UltraWebGrid
Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page



    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        TestGrid.LoadPreset(Server.MapPath("GridPreset.xml"), True)
        TestGrid.DisplayLayout.FrameStyle.Height = 50
        TestGrid.DisplayLayout.AllowSortingDefault = Infragistics.WebUI.UltraWebGrid.AllowSorting.Yes
        LoadGrid()
    End Sub

    Private Sub TestGrid_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.WebUI.UltraWebGrid.LayoutEventArgs) Handles TestGrid.InitializeLayout

        'e.Layout.Bands(0).Columns.FromKey("ApplicationId").Hidden = True
        'e.Layout.Bands(0).Columns.FromKey("SystemId").Width = Unit.Pixel(75)
        e.Layout.Bands(0).Columns.FromKey("SystemId").Header.Caption = "ManageAR<br>Id"
        'e.Layout.Bands(0).Columns.FromKey("EmployerName").Width = Unit.Pixel(120)
        e.Layout.Bands(0).Columns.FromKey("EmployerName").Header.Caption = "Employer Name"
        'e.Layout.Bands(0).Columns.FromKey("FEIN").Width = Unit.Pixel(70)
        e.Layout.Bands(0).Columns.FromKey("FEIN").Header.Caption = "FEIN"
        'e.Layout.Bands(0).Columns.FromKey("Status").Width = Unit.Pixel(65)
        e.Layout.Bands(0).Columns.FromKey("Status").Header.Caption = "* Status"
        e.Layout.Bands(0).Columns.FromKey("StatusDescription").Hidden = True
        'e.Layout.Bands(0).Columns.FromKey("StatusDescription").Width = Unit.Pixel(0)
        'e.Layout.Bands(0).Columns.FromKey("StatusDate").Width = Unit.Pixel(70)
        e.Layout.Bands(0).Columns.FromKey("StatusDate").Header.Caption = "Status<br>Date"
        e.Layout.Bands(0).Columns.FromKey("StatusDate").Format = "MM/dd/yyyy"
        'e.Layout.Bands(0).Columns.FromKey("CarrierName").Width = Unit.Pixel(70)
        e.Layout.Bands(0).Columns.FromKey("CarrierName").Header.Caption = "Carrier<br>Name"
        'e.Layout.Bands(0).Columns.FromKey("CoverageEffectiveDate").Width = Unit.Pixel(270)
        e.Layout.Bands(0).Columns.FromKey("CoverageEffectiveDate").Header.Caption = "Coverage Effective Date"
        e.Layout.Bands(0).Columns.FromKey("CoverageEffectiveDate").Format = "MM/dd/yyyy"
    End Sub

    Private Sub LoadGrid()
        Dim ds As New DataSet
        Dim tb As New DataTable("ResultSet")

        tb.Columns.Add("ApplicationId")
        tb.Columns.Add("SystemId")
        tb.Columns.Add("EmployerName")
        tb.Columns.Add("FEIN")
        tb.Columns.Add("Status")
        tb.Columns.Add("StatusDescription")
        tb.Columns.Add("StatusDate")
        tb.Columns.Add("CarrierName")
        tb.Columns.Add("CoverageEffectiveDate")

        Dim row As DataRow = tb.NewRow
        row("ApplicationId") = 1
        row("SystemId") = 2
        row("EmployerName") = "Test"
        row("FEIN") = 1231234
        row("Status") = "Test"
        row("StatusDescription") = "Desc"
        row("StatusDate") = DateTime.Now
        row("CarrierName") = "TestCarrier"
        row("CoverageEffectiveDate") = DateTime.Now
        tb.Rows.Add(row)


        Dim row2 As DataRow = tb.NewRow
        row2("ApplicationId") = 2
        row2("SystemId") = 2
        row2("EmployerName") = "Test"
        row2("FEIN") = 1231234
        row2("Status") = "Test"
        row2("StatusDescription") = "Desc"
        row2("StatusDate") = DateTime.Now
        row2("CarrierName") = "TestCarrier"
        row2("CoverageEffectiveDate") = DateTime.Now
        tb.Rows.Add(row2)

        Dim row3 As DataRow = tb.NewRow
        row3("ApplicationId") = 3
        row3("SystemId") = 2
        row3("EmployerName") = "Test"
        row3("FEIN") = 1231234
        row3("Status") = "Test"
        row3("StatusDescription") = "Desc"
        row3("StatusDate") = DateTime.Now
        row3("CarrierName") = "TestCarrier"
        row3("CoverageEffectiveDate") = DateTime.Now
        tb.Rows.Add(row3)

        Dim row4 As DataRow = tb.NewRow
        row4("ApplicationId") = 4
        row4("SystemId") = 2
        row4("EmployerName") = "Test"
        row4("FEIN") = 1231234
        row4("Status") = "Test"
        row4("StatusDescription") = "Desc"
        row4("StatusDate") = DateTime.Now
        row4("CarrierName") = "TestCarrier"
        row4("CoverageEffectiveDate") = DateTime.Now
        tb.Rows.Add(row4)


        tb.AcceptChanges()

        ds.Tables.Add(tb)
        ds.AcceptChanges()

        'With TestGrid
        '    .DisplayLayout.Pager.AllowPaging = True
        '    .DisplayLayout.Pager.PageSize = 2
        '    .DisplayLayout.Pager.PrevText = "< Previous"
        '    .DisplayLayout.Pager.NextText = "Next >"
        '    .DisplayLayout.Pager.StyleMode = Infragistics.WebUI.UltraWebGrid.PagerStyleMode.PrevNext
        '    .DisplayLayout.Pager.CurrentPageIndex = 1
        '    .DataSource = ds
        '    .DataBind()
        'End With


        'ds.ReadXml("c:\TestData.xml", XmlReadMode.InferSchema)
        'ds.AcceptChanges()

        TestGrid.DataSource = ds
        TestGrid.DataBind()
    End Sub
End Class
